/* The checkout is a mean thing. So we need to unsure it's laid out like a regular site. */

// Columns are used throughout woocommerce,
// so it's nice to define it somewhere and
// reference it here.


.wrapped--login,
.wrapped--coupon{
  @include clearfix;

  @include wider-than(tablet) {
    @include span( 7, 12 );
  }
  margin: 1rem 0;
  // Message in a bottle ( Inside the container )
  .woocommerce-info{
    background-color: $alert-yellow;
    padding: 1rem;
  }

  .checkout_coupon{
    margin-top: 1rem;
  }
}


.wrapped--login ~ .wrapped--coupon {
  margin-top: 0;
}


.col2-set{
  @include clearfix;
  @include wider-than(tablet) {
    .col-1{ @include span( 6, 12 );}
    .col-2{ @include span( 6, 12, $last:true );}
  }
}

// Not enough room for the checkout to be split
// into more than one column

.woocommerce-checkout{
  .col2-set{
    @include wider-than(tablet){
      @include span( 7, 12 );
    }
    .col-1,
    .col-2{
      width: 100%;
      margin: 0 0 2rem;
    }
  }
  .review--container {
    @include whitespace__large( margin-bottom );
    @include wider-than(tablet) {
      @include span( 4.5, 12, $last:true );
      float: right;
    }
  }
}

.checkout--panel,
.review--container {
  border: 1px solid $grey-line;
}


// Product table for ordering
#order_review_heading{
  display: none;
  padding: 0.5rem 1.875rem 0;
}


// Pay button
[name="woocommerce_checkout_place_order"]{
  /* A nice visual button */
  background-color: $alert-blue;
  font-weight: 700;
  text-transform: uppercase;
  color: white;
  text-decoration: none;
  padding: 0.875rem 2rem;
  border-radius: 0.2rem;
  border: 0;
}

// Payment methods

.woocommerce-checkout-payment{
  padding: 1.875rem;
}

.payment_methods{
  margin: 0;
  padding: 0;
  list-style: none;
}

.payment_box{
  p{
    font-size: 0.875rem;
  }
}


/* Required fields */
.woocommerce-invalid-required-field{
  input{
    border: 1px solid $alert-red;
  }
}